Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Thu, 05 Jun 2008 11:25:23 -0500

Josh Boyer wrote:

> And it does.  It does so by the unique "regs" properties and
> unit-names.  You can assign the index that the i2c subsystem needs
> based on probe order, like I already said.

The probe order is not sufficient on platforms that specifically enumerate their
I2C (or whatever) devices.  For instance, in order to do audio playback on an
MPC8610, SSI1 needs to use DMA channel 0.  The SSI driver specifically needs to
find the register addresses for DMA channel 0.

-- 
Timur Tabi
Linux kernel developer at Freescale